Create picking batches
POST
/merchants/{merchantCode}/pickingBatches
const url = 'https://order.shopgate.io/v1/merchants/example/pickingBatches';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"locationCode":"warehouse","pickingBatches":[{"fulfillmentOrders":[{"orderNumber":"10001-0001"}]}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://order.shopgate.io/v1/merchants/example/pickingBatches \ --header 'Content-Type: application/json' \ --data '{ "locationCode": "warehouse", "pickingBatches": [ { "fulfillmentOrders": [ { "orderNumber": "10001-0001" } ] } ] }'Create picking batches
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Unique merchant code which represents the unique “merchant account”.
Request Body
Section titled “Request Body”Media typeapplication/json
object
locationCode
required
string
Example
warehousepickingBatches
required
Array<object>
object
fulfillmentOrders
required
Array<object>
object
orderNumber
string
Example
10001-0001Responses
Section titled “Responses”Media typeapplication/json
object
ids
Array<string>
errors
Array<object>
object
entityIndex
number
entity
string
entityId
string
code
number
message
string
subentityPath
Array<string | null | number>
Examplegenerated
{ "errors": [ { "entityIndex": 1, "entity": "example", "entityId": "example", "code": 1, "message": "example", "subentityPath": [ "example" ] } ]}Merchant or Location not found
Media typeapplication/json

